#ifndef IBMDEFS_H 
#define IBMDEFS_H 
void  ProcessInputEvents(void);
void  InitInput(int  argc,char  * *argv);
unsigned long  TimeSinceLastInputEvent(void);
int  kbdproc(struct  _DeviceRec *device,int  action);
void  kbdProcessInput(void);
int  mouseproc(struct  _DeviceRec *device,int  action);
int  mouseSetCursorPosition(struct  _Screen *pScr,int  newx,int  newy,int  generateEvent);
void  mouseCursorLimits(struct  _Screen *pScr,struct  _Cursor *pCur,struct  _Box *pHotBox,struct  _Box *pTopLeftBox);
void  mouseConstrainCursor(struct  _Screen *pScr,struct  _Box *pBox);
void  mousePointerNonInterestBox(struct  _Screen *pScr,struct  _Box *pBox);
void  mouseProcessInput(void);
void  ClearEventHandler(void);
void  movebits(unsigned char _far *psrc,unsigned char _far *pdst,int  soff,int  doff,int  n,int  rop);
void ddxUseMsg(void);
int  ddxProcessArgument(int  argc,char  * *argv,int  n);
void AbortDDX(void);
void ddxGiveUp(void);
#endif 
